Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Class TBinding

    java.lang.Object
      org.apache.cxf.wsdl.TDocumented
          org.apache.cxf.wsdl.TExtensibleDocumented
              org.apache.cxf.wsdl.TBinding

    public class TBinding

extends TExtensibleDocumented

Java class for tBinding complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="tBinding">
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/wsdl/}tExtensibleDocumented">
           <sequence>
             <element name="operation" type="{http://schemas.xmlsoap.org/wsdl/}tBindingOperation" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}QName" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `name`
`protected java.util.List<TBindingOperation>` | `operation`
`protected javax.xml.namespace.QName` | `type`

Fields inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`any`

Fields inherited from class org.apache.cxf.wsdl.TDocumented
`documentation`

Constructor Summary
`TBinding()`

Method Summary
`java.lang.String` | `getName()` Gets the value of the name property.
`java.util.List<TBindingOperation>` | `getOperation()` Gets the value of the operation property.
`javax.xml.namespace.QName` | `getType()` Gets the value of the type property.
`boolean` | `isSetName()`
`boolean` | `isSetOperation()`
`boolean` | `isSetType()`
`void` | `setName(java.lang.String value)` Sets the value of the name property.
`void` | `setType(javax.xml.namespace.QName value)` Sets the value of the type property.
`void` | `unsetOperation()`

Methods inherited from class org.apache.cxf.wsdl.TExtensibleDocumented
`getAny, isSetAny, unsetAny`

Methods inherited from class org.apache.cxf.wsdl.TDocumented
`getDocumentation, isSetDocumentation, setDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### operation

    protected java.util.List<TBindingOperation> operation

### name

    protected java.lang.String name

### type

    protected javax.xml.namespace.QName type

Constructor Detail

### TBinding

    public TBinding()

Method Detail

### getOperation

    public java.util.List<TBindingOperation> getOperation()

  Gets the value of the operation property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the operation property.

  For example, to add a new item, do as follows:

          getOperation().add(newItem);

  Objects of the following type(s) are allowed in the list `TBindingOperation`

### isSetOperation

    public boolean isSetOperation()

### unsetOperation

    public void unsetOperation()

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

### getType

    public javax.xml.namespace.QName getType()

  Gets the value of the type property.

  Returns:
    possible object is `QName`

### setType

    public void setType(javax.xml.namespace.QName value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `QName`

### isSetType

    public boolean isSetType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF